%define	upstream_name	 POE
%define upstream_version 1.370

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      2

Summary:    Portable multitasking and networking framework for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz
# This upstream_name naming scheme does not follow path names...

BuildRequires: perl(Carp)
BuildRequires: perl(Errno) >= 1.90.0
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Spec) >= 0.870.0
BuildRequires: perl(IO) >= 1.240.0
BuildRequires: perl(IO::Handle) >= 1.270.0
BuildRequires: perl(IO::Pipely) >= 0.5.0
BuildRequires: perl(IO::Tty) >= 1.80.0
BuildRequires: perl(POE::Test::Loops) >= 1.360.0
BuildRequires: perl(POSIX) >= 1.20.0
BuildRequires: perl(Socket) >= 1.700.0
BuildRequires: perl(Storable) >= 2.160.0
BuildRequires: perl(Test::Harness) >= 2.260.0
BuildRequires: perl(Time::HiRes) >= 1.590.0
BuildRequires: perl-libwww-perl
BuildArch:  noarch

Provides:   perl(POE::Resource::Controls)

%{?perl_default_filter}

%description
POE is a framework for cooperative, event driven multitasking in Perl.

POE originally was developed as the core of a persistent object server and
runtime environment. It has evolved into a general purpose multitasking and
networking framework, encompassing and providing a consistent interface to
other event loops such as Event and the Tk and Gtk toolkits.

POE is a mature framework for creating multitasking programs in Perl.  It has
been in active development since 1998.  It has been used in mission-critical
systems such as internetworked financial markets, file systems, commerce and
application servers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 755 examples
chmod 755 examples/*.perl

%build
%__perl Makefile.PL INSTALLDIRS=vendor --default
%make_build

%check
DISPLAY= %{__make} test

%install
%make_install

%files
%doc CHANGES HISTORY META.json META.yml MYMETA.yml README TODO examples
%{perl_vendorlib}/POE
%{perl_vendorlib}/*.pm
%{_mandir}/man3/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2:1.370.0-2.mga10
+ Revision: 2211685
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 tv <tv> 2:1.370.0-1.mga9
+ Revision: 1829799
- update to 1.370

* Fri Feb 21 2020 umeabot <umeabot> 2:1.368.0-2.mga8
+ Revision: 1547860
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 shlomif <shlomif> 2:1.368.0-1.mga8
+ Revision: 1488512
- update to 1.368
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2:1.367.0-4.mga7
+ Revision: 1270850
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2:1.367.0-3.mga6
+ Revision: 1032427
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2:1.367.0-2.mga6
+ Revision: 968214
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 2:1.367.0-1.mga6
+ Revision: 851559
- update to 1.367

* Wed Oct 15 2014 umeabot <umeabot> 2:1.364.0-3.mga5
+ Revision: 740264
- Second Mageia 5 Mass Rebuild
+ tv <tv>
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2:1.364.0-2.mga5
+ Revision: 685807
- Mageia 5 Mass Rebuild

* Mon Jul 21 2014 sander85 <sander85> 2:1.364.0-1.mga5
+ Revision: 655102
- update to 1.364

* Fri Jul 11 2014 sander85 <sander85> 2:1.360.0-1.mga5
+ Revision: 651283
- update to 1.360

* Mon Feb 10 2014 jquelin <jquelin> 2:1.358.0-1.mga5
+ Revision: 588626
- update to 1.358

* Sat Oct 19 2013 umeabot <umeabot> 2:1.356.0-2.mga4
+ Revision: 532851
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 sander85 <sander85> 2:1.356.0-1.mga4
+ Revision: 469697
- update to 1.356

* Tue Aug 20 2013 sander85 <sander85> 2:1.355.0-1.mga4
+ Revision: 468568
- update to 1.355

* Sun Jan 13 2013 umeabot <umeabot> 2:1.354.0-2.mga3
+ Revision: 371214
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 2:1.354.0-1.mga3
+ Revision: 255806
- update to 1.354

* Sat Dec 17 2011 kharec <kharec> 2:1.350.0-1.mga2
+ Revision: 183090
- update to 1.350
+ jquelin <jquelin>
- update to 1.312

* Wed Jun 15 2011 jquelin <jquelin> 2:1.311.0-1.mga2
+ Revision: 107801
- update to 1.311

* Thu Feb 17 2011 jquelin <jquelin> 2:1.299.0-1.mga1
+ Revision: 53213
- update to 1.299

* Sat Jan 22 2011 jquelin <jquelin> 2:1.294.0-1.mga1
+ Revision: 32286
- mageia rebuild
- imported package perl-POE

